Упал сайт после обновления. Поддержки 0

Здравствуйте. Вот столкнулся я с проблемой. Вышло обновление 

Версия Вебасиста
2.7.1.727

я его установил через две недели после релиза и в итоге сайт лег. В поддержке пляски с бубном, купите это , закажите то , напишите разработчикам плагинов, возможно на их стороне проблема (у меня их штук 40 ). Первый раз столкнулся с данной проблемой, но крайне не доволен отношением. Вопрос, это у меня бедолаги одного такая беда или так все тут попадают ?

С ув.

16 ответов

  • 2
    Nail 28 ноября 2022 23:05 #

    1) Указали бы версию PHP 7.x, которая установлена у вас на сервере, хостинге.

    2) Если не установлено приложение Логи - то установите: https://www.webasyst.ru/store/app/logs/

    Потом откройте страницу, где возникает ошибка.

    Далее пройдите в приложение Логи, скопируйте оттуда последние 3-4 по времени ошибки из файлов db.log, error.log и выложите сюда. Если файлы не большие - можете загрузить куда-то и выложить сюда на них ссылки.

    Так может быть быстрее смогут ответить - в чём возможная причина падения.

    ps: надеюсь, после обновления, не забыли сбросить кэш в Настройках - /webasyst/webasyst/settings/ ?

  • 2
    Сергей Е 29 ноября 2022 09:35 #

    1. Требуется версия PHP >= 7.4.24, текущая версия 7.4.9

    2. [27-Nov-2022 13:01:34 Europe/Moscow] PHP Fatal error: Unparenthesized `a ? b : c ? d : e` is not supported. Use either `(a ? b : c) ? d : e` or `a ? b : (c ? d : e)` in /pub/home/er411/gidra/wa-system/helper/misc.php(116) : eval()'d code on line 1 

    3. Кэш сбрасывал.

    С ув.

    • +2

      Если у вас есть плагин Управление плагинами, попробуйте отключить его на какое-то время

      • +1
        Димас Димас 30 ноября 2022 21:55 #

        Даже достаточно просто отключить пункт "Send anonymous stats" в этом плагине, мне уже это помогло.

    • +1
      Nail Nail 29 ноября 2022 10:11 #

      Так на хостинге/сервере обновили версию PHP хотя бы до требуемой или выше до 7.4.33 ?

      • +1
        Сергей Е Сергей Е 29 ноября 2022 10:24 #

        Там только 8.0 или 8.1 я поставил 8.0 и начались проблемы.

        • +1
          Nail Nail 29 ноября 2022 10:57 #

          8-ую версию пока не ставьте. Многие плагины её полностью не поддерживают!

          Пусть на хостинге установят последнюю возможную версию PHP 7 в пределах 7.4.24 - 7.4.33.


          • +1
            Сергей Е Сергей Е 29 ноября 2022 17:58 #

            Вообщем выглядит так ситуация. Версия Вебасист у меня последняя, а php 7.4.9. Как такое может быть или я что-то не так понимаю на данный момент. Подскажите ребята.


            С ув.

            • +1
              Nail Nail 29 ноября 2022 18:38 #

              Скинули бы Логи - как я вам выше описал во 2-ом пункте.

              Пока не ясно - в чём проблема... только гадать можно )

            • +2

              PHP и версия Webasyst (фреймворка) - это разные и малозависящие друг от друга вещи. Это как автомобиль (Webasyt) и бензин (php).  Автомобиль может ездить на разном бензине, не ниже определенного октанового числа. Так и фреймворк: он может работать на версии php не ниже определенной. В последнем обновлении минимально допустимая версия php была определена как 7.4.  До этого минимальная версия php была 7.2 (или ниже, не помню уж). Сейчас вы установили версию php 7.4 (что удовлетворяет минимальным требованиям фреймворка)  и последнюю версию фреймворка.

              Если вкратце - у вас всё хорошо =)

  • 1
    Сергей Е 29 ноября 2022 09:50 #

    В поддержке сказали что отключили два плагина. Проблема осталась. Главная сайта упала, остальные страницы отдают код 500, админка рабоатет.

    • +1

      Сергей, о каком сайте речь? Если о g*****x.ru, то проблемы там не вижу. Если о другом, то приведите данные о которых просил  Nail в п.2 в комментарии от Вчера 23:05

      • +1
        Сергей Е Сергей Е 29 ноября 2022 10:46 #

        Проблема есть. Я откатил php до 7.4 поэтому он работает внешне, но отдает ошибку 500, вылетает из индекса Яша адово ругается ! Купил тему MegaShop 2.0 , пробовал ставить на php 8.0 , как рекомендовала поддержка, но сайт не заработал. Разработчику написал. Думаю , буду я делать бэкап, иначе беда совсем.

        С ув.

        • +2

          Пришлите ссылку на страницу которая отдает 500 (можно нам в поддержку в рамках открытого запроса по складам), посмотрим сейчас.

          • +1
            Сергей Е Сергей Е 29 ноября 2022 11:14 #

            Отправил скрин на почту.

            • +2

              Сергей, вы прислали скрин из ЯМастера. Обратите внимание на дату последней проверки этих страниц. Видимо, тогда сайт действительно не работал по причинам описанным вами выше. Сейчас проверив случайные три из них проблемы не вижу. Яндекс же обновит эти данные при повторном обходе вашего сайта. Возможно, ему можно сказать чтоб он это сделал сейчас, но тут уже не подскажу, т.к. не имею соответствующего опыта работы с ЯМастером.

Добавить ответ

Чтобы добавить комментарий, зарегистрируйтесь или войдите